curl --request POST \
--url https://api.postflow.app/v1/posts-bulk/reschedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"post_ids": [
"<string>"
]
}
'{
"posts": [
{
"id": "<string>",
"public_id": "<string>",
"organization_id": "<string>",
"user_id": "<string>",
"post_id": "<string>",
"cu_task_id": "<string>",
"name": "<string>",
"status": 1,
"note": "<string>",
"visible_for_client": true,
"content": "<string>",
"content_weighted_length": 123,
"has_customized_content": true,
"locations": [
{
"id": "<string>",
"name": "<string>",
"location": [
"<string>"
],
"network": "twitter",
"followers_count": 123,
"username": "<string>"
}
],
"image_tags": [
{
"id": "<string>",
"media_id": "<string>",
"network": "twitter",
"x": 123,
"y": 123,
"mode": "user",
"username": "<string>",
"social_account_id": "<string>",
"product": [
"<string>"
]
}
],
"selected_media_ids": [
"<string>"
],
"first_comments": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>",
"customized": {
"linkedin": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
},
"instagram": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
},
"facebook": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
},
"youtube": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
},
"threads": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
},
"bluesky": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
},
"twitter": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
}
}
},
"publication_date": "2023-11-07T05:31:56Z",
"publication_timestamp": 123,
"customized_publication_date": [
"<string>"
],
"publication_delay_between": 123,
"fb_post_type": 1,
"fb_video_title": "<string>",
"ig_post_type": 1,
"ig_collaborators": [
"<string>"
],
"ig_share_to_feed": true,
"ig_allow_comments": true,
"ig_audio_name": "<string>",
"li_post_type": 1,
"li_carousel_title": "<string>",
"li_poll": {
"question": "<string>",
"option_1": "<string>",
"option_2": "<string>",
"option_3": "<string>",
"option_4": "<string>",
"duration": "ONE_DAY"
},
"tt_post_type": 1,
"tt_privacy_level": 1,
"tt_carousel_title": "<string>",
"tt_disable_duet": true,
"tt_disable_stitch": true,
"tt_disable_comment": true,
"tt_brand_content": true,
"tt_brand_organic": true,
"tt_auto_music": true,
"tt_is_aigc": true,
"pi_pin_title": "<string>",
"pi_url_link": "<string>",
"pi_boards": [
"<string>"
],
"pi_sections": [
"<string>"
],
"pi_is_standard_pin": true,
"gb_post_type": 1,
"gb_event_title": "<string>",
"gb_start_date": "2023-11-07T05:31:56Z",
"gb_end_date": "2023-11-07T05:31:56Z",
"gb_use_time": true,
"gb_action_type": 1,
"gb_action_url": "<string>",
"gb_coupon_code": "<string>",
"gb_redeem_url": "<string>",
"gb_term_conditions": "<string>",
"yt_post_type": 1,
"yt_video_title": "<string>",
"yt_video_tags": [
"<string>"
],
"yt_categories": [
"<string>"
],
"yt_playlists": [
"<string>"
],
"yt_privacy_level": 1,
"yt_license": 1,
"yt_embeddable": true,
"yt_notify_subscribers": true,
"yt_made_for_kids": true,
"dr_title": "<string>",
"dr_tags": [
"<string>"
],
"tw_post_type": 1,
"tw_poll": [
"<string>"
],
"tw_reply_settings": 1,
"th_post_type": 1,
"th_poll": [
"<string>"
],
"th_topic_tag": "<string>",
"customized": {},
"is_publicly_shared": true,
"guest_approver_name": "<string>",
"everyone_must_approve": true,
"should_skip": true,
"approved_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"inviter_id": "<string>",
"organization_id": "<string>",
"role": "owner",
"is_client": true,
"can_approve": true,
"can_connect_account": true,
"can_access_all_groups": true,
"self_approval": true,
"time_format_24": true,
"week_start_day": 0,
"date_format": 1,
"color": 1,
"avatar": "<string>",
"invited_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"open_cu_links_in_app": false,
"groupIds": []
},
"socialAccounts": [],
"comments": [],
"tasks": [],
"details": [],
"media": [],
"labels": [],
"approvals": [],
"selectedAccountIds": [],
"assigneesIds": [],
"source": 1,
"cu_creator_name": "<string>"
}
],
"skipped_published": [
"<string>"
]
}Reschedules multiple posts at once. Supports absolute date, time-only, date-only, and relative day offset modes.
delta_days or publication_date are required. Choose only one per request.
delta_days - shifts each post by N days relative to its current date
curl --request POST \
--url https://api.postflow.app/v1/posts-bulk/reschedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"post_ids": [
"<string>"
]
}
'{
"posts": [
{
"id": "<string>",
"public_id": "<string>",
"organization_id": "<string>",
"user_id": "<string>",
"post_id": "<string>",
"cu_task_id": "<string>",
"name": "<string>",
"status": 1,
"note": "<string>",
"visible_for_client": true,
"content": "<string>",
"content_weighted_length": 123,
"has_customized_content": true,
"locations": [
{
"id": "<string>",
"name": "<string>",
"location": [
"<string>"
],
"network": "twitter",
"followers_count": 123,
"username": "<string>"
}
],
"image_tags": [
{
"id": "<string>",
"media_id": "<string>",
"network": "twitter",
"x": 123,
"y": 123,
"mode": "user",
"username": "<string>",
"social_account_id": "<string>",
"product": [
"<string>"
]
}
],
"selected_media_ids": [
"<string>"
],
"first_comments": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>",
"customized": {
"linkedin": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
},
"instagram": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
},
"facebook": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
},
"youtube": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
},
"threads": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
},
"bluesky": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
},
"twitter": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionType": 1,
"conditionValue": 123,
"content": "<string>"
}
}
},
"publication_date": "2023-11-07T05:31:56Z",
"publication_timestamp": 123,
"customized_publication_date": [
"<string>"
],
"publication_delay_between": 123,
"fb_post_type": 1,
"fb_video_title": "<string>",
"ig_post_type": 1,
"ig_collaborators": [
"<string>"
],
"ig_share_to_feed": true,
"ig_allow_comments": true,
"ig_audio_name": "<string>",
"li_post_type": 1,
"li_carousel_title": "<string>",
"li_poll": {
"question": "<string>",
"option_1": "<string>",
"option_2": "<string>",
"option_3": "<string>",
"option_4": "<string>",
"duration": "ONE_DAY"
},
"tt_post_type": 1,
"tt_privacy_level": 1,
"tt_carousel_title": "<string>",
"tt_disable_duet": true,
"tt_disable_stitch": true,
"tt_disable_comment": true,
"tt_brand_content": true,
"tt_brand_organic": true,
"tt_auto_music": true,
"tt_is_aigc": true,
"pi_pin_title": "<string>",
"pi_url_link": "<string>",
"pi_boards": [
"<string>"
],
"pi_sections": [
"<string>"
],
"pi_is_standard_pin": true,
"gb_post_type": 1,
"gb_event_title": "<string>",
"gb_start_date": "2023-11-07T05:31:56Z",
"gb_end_date": "2023-11-07T05:31:56Z",
"gb_use_time": true,
"gb_action_type": 1,
"gb_action_url": "<string>",
"gb_coupon_code": "<string>",
"gb_redeem_url": "<string>",
"gb_term_conditions": "<string>",
"yt_post_type": 1,
"yt_video_title": "<string>",
"yt_video_tags": [
"<string>"
],
"yt_categories": [
"<string>"
],
"yt_playlists": [
"<string>"
],
"yt_privacy_level": 1,
"yt_license": 1,
"yt_embeddable": true,
"yt_notify_subscribers": true,
"yt_made_for_kids": true,
"dr_title": "<string>",
"dr_tags": [
"<string>"
],
"tw_post_type": 1,
"tw_poll": [
"<string>"
],
"tw_reply_settings": 1,
"th_post_type": 1,
"th_poll": [
"<string>"
],
"th_topic_tag": "<string>",
"customized": {},
"is_publicly_shared": true,
"guest_approver_name": "<string>",
"everyone_must_approve": true,
"should_skip": true,
"approved_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"inviter_id": "<string>",
"organization_id": "<string>",
"role": "owner",
"is_client": true,
"can_approve": true,
"can_connect_account": true,
"can_access_all_groups": true,
"self_approval": true,
"time_format_24": true,
"week_start_day": 0,
"date_format": 1,
"color": 1,
"avatar": "<string>",
"invited_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"open_cu_links_in_app": false,
"groupIds": []
},
"socialAccounts": [],
"comments": [],
"tasks": [],
"details": [],
"media": [],
"labels": [],
"approvals": [],
"selectedAccountIds": [],
"assigneesIds": [],
"source": 1,
"cu_creator_name": "<string>"
}
],
"skipped_published": [
"<string>"
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
200Only the time value from publication_date will be set for all selected posts, the date will remain unchanged.
Only the date value from publication_date will be set for all selected posts, the time will remain unchanged.